Subject: how to share files between machines?

From: "J.V." <[email-masked]>
Date: Fri, 25 May 2012 13:28:09 -0600

We have a shared git repository (origin).  Everyone on the team clones 
the repo, does some work, commits locally then pushes to the shared 
repository.

I have a box where I have cloned the repo.  I have another box (test 
box) where I have also cloned the same repo.  I change/commit/push code 
on either box to the shared repo depending on the task at hand.

Now I want to do something different.  I want to create new files on my 
local box in various directories that are part of my local git rep, and 
share them only between just the two boxes.  So I need the ability to 
commit/push to another repo such that others on the repo mentioned in 
the first sentence will not be affected.

There will be various files in various sub directories, so when I pull 
on the second box, I want all the files to come down and be put in the 
same directory that they existed on my box 1 where I committed them.

Is this at all possible? Maybe by creating a bare repository on my box 1?

J.V.